Subject: Re: [Bugme-new] [Bug 10600] New: e1000 updates rx_bytes infrequently

From: Ben Liblit <[email-masked]>
Date: Mon, 05 May 2008 18:38:48 -0500

Andrew Morton wrote:
> I've noticed that when I'm downloading stuff at home, gkrellm will display
> eth0 as consuming 0 kbytes/sec, then 400 kbytes/sec, then 0, then 400 ad
> nauseum.  I always assumed that gkrellm was busted.  Perhaps wrongly...

Likewise, my initial assumption was that GNOME System Monitor was 
faulty.  You might try the command that I suggested in my original report:

    watch -d -n 0.25 'cat /sys/class/net/eth0/statistics/rx_bytes'

Run that during a big download and it should be pretty clear whether 
it's being updated frequently or not.  If not, then gkrellm is not to blame.